Bug 29215 - In patron form collapsing "Patron guarantor" display errors
Summary: In patron form collapsing "Patron guarantor" display errors
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 3137
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-12 19:09 UTC by Fridolin Somers
Modified: 2021-10-26 01:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.11


Attachments
Bug 29215: (bug 3137 follow-up) Fix guarantor block toggle (1.16 KB, patch)
2021-10-19 09:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29215: (bug 3137 follow-up) Fix guarantor block toggle (1.21 KB, patch)
2021-10-19 13:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29215: (bug 3137 follow-up) Fix guarantor block toggle (1.27 KB, patch)
2021-10-20 21:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-10-12 19:09:19 UTC
In patron form Bug 3137 added the possibility to collapse areas.
But collapsing "Patron guarantor" behaves strangely.
Maybe forbid collapsing this area.
Comment 1 Jonathan Druart 2021-10-19 09:52:05 UTC
Created attachment 126477 [details] [review]
Bug 29215: (bug 3137 follow-up) Fix guarantor block toggle

The guarantor template must be kept hidden, always.

Test plan:
Edit a patron with a guarantor, click the legend of the "patron guarantor" block and confirm that the template is not shown
Comment 2 Owen Leonard 2021-10-19 13:27:32 UTC
Created attachment 126500 [details] [review]
Bug 29215: (bug 3137 follow-up) Fix guarantor block toggle

The guarantor template must be kept hidden, always.

Test plan:

Edit a patron with a guarantor, click the legend of the "patron
guarantor" block and confirm that the template is not shown

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2021-10-20 21:07:11 UTC
Created attachment 126616 [details] [review]
Bug 29215: (bug 3137 follow-up) Fix guarantor block toggle

The guarantor template must be kept hidden, always.

Test plan:

Edit a patron with a guarantor, click the legend of the "patron
guarantor" block and confirm that the template is not shown

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-10-21 08:32:55 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-10-22 15:25:21 UTC
Pushed to 21.05.x for 21.05.05
Comment 6 Fridolin Somers 2021-10-23 01:49:57 UTC
Pushed to 20.11.x for 20.11.11
Comment 7 Victor Grousset/tuxayo 2021-10-26 01:04:38 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.